class Journal
{
    public:

	void	SetName( StrPtr *Jval );

	char	*GetName();
	dev_t	GetDev();
	ino_t	GetIno();
	off_tL	GetSize();
	int	GetSequence();

	bool	Init( StrPtr *Jval, Error *e );

	bool	Open( Error *e );
	bool	Seek( off_tL offset, Error *e );
	bool	Read( char *buf, size_t count, ssize_t *n, Error *e );
	bool	ReadSequence( Error *e );
	bool	Stat( Error *e );
	bool	StatWait( Error *e );
	bool	Close( Error *e );

    private:

	StrBuf name;
	int journalfd;
	int sequence;
	struct statL statbuf;
};
